Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #819 (new defect)

Opened 15 years ago

Last modified 14 years ago

System freezes after few roamings

Reported by: zam0d3gykus@yahoo.com Assigned to:
Priority: major Milestone:
Component: madwifi: other Version: trunk
Keywords: Cc:
Patch is attached: 0 Pending:

Description (Last modified by mentor)

I'm using a 3COM PCI card: 3CRDAG675 based on atheros 5212 chipset. Driver is madwifi driver ng-r1702-20060810.

ath_hal: module license 'Proprietary' taints kernel.
ath_hal: 0.9.17.2 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
wlan: 0.8.4.2 (svn r1702)
ath_rate_sample: 1.2 (svn r1702)
ath_pci: 0.9.4.5 (svn r1702)
ACPI: PCI Interrupt 0000:06:01.0[A] -> GSI 22 (level, low) -> IRQ 58
wifi0: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: turboA rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: turboG rates: 6Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 5.6 phy 4.1 radio 3.6
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
wifi0: Atheros 5212: mem=0x50000000, irq=58

I have configured wpa_supplicant to be able to connect to a dot1x peap-mschap network. After connecting to the network, I trigger the client to roam. For this, I'm using following two wpa_cli commands: wpa_cli bssd 0 00:11:22:aa:bb:cc wpa_cli reassociate After the wireless client roamed afew times between two APs of the sane network, the computer freezes. It doesn't respond to any key combination. This is how the last printed screen of the machine looks like:

[<c0105b24>] do_IRQ+0x51/0x82
[<c0103c0e>] common_interrupt+0x1a/0x20
[<d0992015>] zz033e8fbf+0x11/0x70 [ath_hal]
[<d09a5210>] zz0b6d9eff+0x38/0x48 [ath_hal]
[<d09cc0dd>] ath_txq_update+0x33/0xd1 [ath_pci] 
[<d09c6e84>] ath_keyset+0x95/0x15e [ath_pci]
[<d09c3b02>] ath_chans2flags+0x8/0x2f [ath_pci]
[<d09cc197>] ath_wme_update+0x1c/0x83 [ath_pci]
[<d09738dc>] ieee80211_wme_updateparameters_locked+0xd4/0x1ec [wlan]
[<d097359e>] ieee80211_wme_initparams+0x43/0x148 [wlan]
[<d09c77cf>] ath_setslottime+0x30/0x7b [ath_pci]
[<d09733c3>] ieee80211_set_shortslottime+0x1c/0x2b [wlan]
[<d097333f>] ieee80211_reset_erp+0x8a/0xf2 [wlan]
[<d0969d69>] ieee80211_sta_join1+0x98/0x1af [wlan]
[<d097a9dc>] ieee080211_ioctl_setmlme+0xa3/0x20c [wlan]
[<c0314660>] wireless_process_ioctl_0x12d/0x6c3
[<d097a939>] ieee80211_ioctl_setmlme+0x0/0x20c [wlan]
[<c0309e43>] dev_ioctl+0x242/0x28b
[<c02fd9f4>] sock_ioctl+0x0/0x244
[<c0192de9>] do_ioctl+0x19/0x55
[<c0192f17>] vfs_ioctl+0x50/0x1aa
[<c01930ce>] sys_ioctl+0x5d/0x6b
[<c0103a51>] syscall_call+0x7/0xb 

I can get the wireless client in this state every time, by asking it to roam. The crash appears after a variable number of roamings.

Change History

08/11/06 05:04:01 changed by mentor

could you paste pre-formatted text inside

{{{
blocks
}}}

as so

08/11/06 18:26:37 changed by zam0d3gykus@yahoo.com

OK, I've done the formatting:

I'm using a 3COM PCI card: 3CRDAG675 based on atheros 5212 chipset. Driver is madwifi driver ng-r1702-20060810.

ath_hal: module license 'Proprietary' taints kernel.
ath_hal: 0.9.17.2 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
wlan: 0.8.4.2 (svn r1702)
ath_rate_sample: 1.2 (svn r1702)
ath_pci: 0.9.4.5 (svn r1702)
ACPI: PCI Interrupt 0000:06:01.0[A] -> GSI 22 (level, low) -> IRQ 58
wifi0: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: turboA rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: turboG rates: 6Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 5.6 phy 4.1 radio 3.6
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
wifi0: Atheros 5212: mem=0x50000000, irq=58

I have configured wpa_supplicant to be able to connect to a dot1x peap-mschap network. After connecting to the network, I trigger the client to roam. For this, I'm using following two wpa_cli commands:

wpa_cli bssid 0 00:11:22:aa:bb:cc
wpa_cli reassociate

After the wireless client roamed afew times between two APs of the same network, the computer freezes. It doesn't respond to any key combination. This is how the last printed screen of the machine looks like:

[<c0105b24>] do_IRQ+0x51/0x82
[<c0103c0e>] common_interrupt+0x1a/0x20
[<d0992015>] zz033e8fbf+0x11/0x70 [ath_hal]
[<d09a5210>] zz0b6d9eff+0x38/0x48 [ath_hal]
[<d09cc0dd>] ath_txq_update+0x33/0xd1 [ath_pci] 
[<d09c6e84>] ath_keyset+0x95/0x15e [ath_pci]
[<d09c3b02>] ath_chans2flags+0x8/0x2f [ath_pci]
[<d09cc197>] ath_wme_update+0x1c/0x83 [ath_pci]
[<d09738dc>] ieee80211_wme_updateparameters_locked+0xd4/0x1ec [wlan]
[<d097359e>] ieee80211_wme_initparams+0x43/0x148 [wlan]
[<d09c77cf>] ath_setslottime+0x30/0x7b [ath_pci]
[<d09733c3>] ieee80211_set_shortslottime+0x1c/0x2b [wlan]
[<d097333f>] ieee80211_reset_erp+0x8a/0xf2 [wlan]
[<d0969d69>] ieee80211_sta_join1+0x98/0x1af [wlan]
[<d097a9dc>] ieee080211_ioctl_setmlme+0xa3/0x20c [wlan]
[<c0314660>] wireless_process_ioctl_0x12d/0x6c3
[<d097a939>] ieee80211_ioctl_setmlme+0x0/0x20c [wlan]
[<c0309e43>] dev_ioctl+0x242/0x28b
[<c02fd9f4>] sock_ioctl+0x0/0x244
[<c0192de9>] do_ioctl+0x19/0x55
[<c0192f17>] vfs_ioctl+0x50/0x1aa
[<c01930ce>] sys_ioctl+0x5d/0x6b
[<c0103a51>] syscall_call+0x7/0xb 

I can get the wireless client in this state every time, by asking it to roam. The crash appears after a variable number of roamings.

09/11/06 03:03:57 changed by messman_2000@yahoo.com

Well I have the very same PCI card and just recently my system also crashes on a regular basis. I have removed the card and it seems stable now, I wonder... I dont have such a technical knowledge so far like you but i'm studying for it. If you want me to perform some tests on my machine so we can together pin-point the problem I'll be glad to help.

09/25/06 16:48:20 changed by zam0d3gykus@yahoo.com

I ran into the same problem. I used the folowing: fc4 2.6.17-1.2142, 3COM PCI card 3CRDAG675 based on atheros 5212 chipset, madwifi driver ng-r1702-20060810.

The error message was different:

[<c03069a9>] __write_lock_failed+0x9/0x20
[<c0308745>] _write_lock+0x17/0x22
[<f89accbe>] ieee80211_find_rxnode+0x7e/0xe9 [wlan]
[<f8aa8682>] init_stall_timer+0x5b/0x62 [uhci_hcd]
[<f88e6b35>] ath_rx_tasklet+0x613/0x78e [ath_pci]
[<f89f8764>] zz005b88fd+0x0/0x114 [ath_hal]
[<c012691b>] tasklet_action+0x52/0xb3
[<c0126602>] __do_softirq+0x72/0xdc
[<c0106753>] do_softirq+0x4b/0x4f
=======================
[<c0106641>] do_IRQ+0x55/0x86
[<c01539e1>] do_anonymus_page+0x5c/0x196
[<c0104a5a>] common_interrupt+0x1a/0x20
[<f89ad761>] ieee80211_iterate_nodes+0x8c/0xaa [wlan]
[<f89b21d0>] read_ap_result+0x0/0x504 [wlan]
[<f89b3c1d>] ieee80211_ioctl_giwscan+0x70/0x91 [wlan]
[<c02b50a0>] wireless_process_ioctl+0x58d/0x6c3
[<f88e9fe3>] ath_ioctl_giwscan+0x0/0xd [ath_pci]
[<c02abd63>] dev_ioctl+0x252/0x29b
[<c02a14e3>] sock_ioctl+0x0/0x247
[<c0172bcf>] do_ioctl+0x1f/0x6d
[<c0172d77>] vfs_ioctl+0x56/0x6b
[<c0172f4e>] sys_ioctl+0x5d/0x6b
[<c0104025>] syscall_call+0x7/0xb

09/26/06 06:53:37 changed by mrenzmann

  • version set to trunk.

Is the problem reliably reproducable? If so, which steps are necessary? Is there anything common for each crash (for example: does it occur only when the interface is under high load)?

Can you please try the latest snapshot, just to be sure the problem has not yet been fixed?

04/10/07 16:14:58 changed by zam0d3gykus@yahoo.com

I have seen this problem again two weeks ago. I was using a totally different hardware & driver:
- Dell Latitude laptop
- D-Link DWL-AG660 PCMCIA card with Atheros 5212
- latest Madwifi release: 0.9.3

Although I have worked on the computer, I have never seen the crash since. I have not seen any reason that is forcing the problem to appear. I can not reproduce it.

04/12/07 01:02:53 changed by mentor

  • description changed.
  • summary changed from system freezes after few roamings to System freezes after few roamings.

04/12/07 01:06:24 changed by mentor

What kind of linux panic are you hitting? Is it an Oops or a BUG?

Also, this looks related to node handling, have you tried the refcount branch?

11/13/07 11:13:54 changed by zam0d3gykus@yahoo.com

I configured kernel logging adding line "kern.* /var/log/kernel" in file /etc/syslog.conf. After computer freezes because of this bug, it needs to be restarted. But there was no log in /var/log/kernel abut the crash.

Yesterday, something very strange happened: I have seen the same messages in the terminal, but the computer was not blocked. Also, all the messages appeared in /var/log/kernel, so I am able to provide the kernel logs:

Nov 12 11:04:23 ALEXAN kernel: ADDRCONF(NETDEV_UP): ath0: link is not ready
Nov 12 11:04:28 ALEXAN kernel: ADDRCONF(NETDEV_CHANGE): ath0: link becomes ready
Nov 12 11:04:37 ALEXAN kernel: bss channel not set<0>------------[ cut here ]------------
Nov 12 11:04:37 ALEXAN kernel: kernel BUG at /usr/local/src/madwifi-0.9.3/net80211/ieee80211_wireless.c:816!
Nov 12 11:04:37 ALEXAN kernel: invalid opcode: 0000 [#1]
Nov 12 11:04:37 ALEXAN kernel: SMP
Nov 12 11:04:37 ALEXAN kernel: last sysfs file: /block/hda/removable
Nov 12 11:04:37 ALEXAN kernel: Modules linked in: wlan_tkip(U) wlan_ccmp(U) nls_utf8 cifs 8021q autofs4 hidp rfcomm l2cap bluetooth sunrpc ipv6 dm_mirror dm_multipath dm_mod video sbs i2c_ec dock button battery asus_acpi backlight ac parport_pc lp parport 8139too r8169 8139cp i2c_i801 mii i2c_core snd_intel8x0 snd_ac97_codec ac97_bus snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd soundcore snd_page_alloc wlan_scan_sta(U) ath_rate_sample(U) ath_pci(U) pcspkr wlan(U) ath_hal(P)(U) iTCO_wdt iTCO_vendor_support serio_raw ide_cd cdrom ata_piix libata sd_mod scsi_mod ext3 jbd ehci_hcd ohci_hcd uhci_hcd
Nov 12 11:04:37 ALEXAN kernel: CPU:    0
Nov 12 11:04:37 ALEXAN kernel: EIP:    0060:[<f89225bf>]    Tainted: P      VLI
Nov 12 11:04:37 ALEXAN kernel: EFLAGS: 00010292   (2.6.20-1.2962.fc6 #1)
Nov 12 11:04:37 ALEXAN kernel: EIP is at ieee80211_ioctl_giwfreq+0x3d/0x78 [wlan]
Nov 12 11:04:37 ALEXAN kernel: eax: 00000016   ebx: f35fe400   ecx: c0701090   edx: 00000086
Nov 12 11:04:37 ALEXAN kernel: esi: ffffffa1   edi: 00008b05   ebp: c063789c   esp: f2197e6c
Nov 12 11:04:37 ALEXAN kernel: ds: 007b   es: 007b   ss: 0068
Nov 12 11:04:37 ALEXAN kernel: Process iwconfig (pid: 22211, ti=f2197000 task=eeb1f830 task.ti=f2197000)
Nov 12 11:04:37 ALEXAN kernel: Stack: f892e24b f2197f40 c05cb392 00000000 00008b05 f358d000 c128b6f8 c045a862
Nov 12 11:04:37 ALEXAN kernel:        00000002 00000044 d0492000 00000002 00000000 f2197f18 f2197f19 f2197f18
Nov 12 11:04:37 ALEXAN kernel:        ffffffff 00000246 00000105 c19ee1e8 00008b05 00000000 f2197f30 00008b05
Nov 12 11:04:37 ALEXAN kernel: Call Trace:
Nov 12 11:04:37 ALEXAN kernel:  [<c05cb392>] ioctl_standard_call+0x60/0x2ea
Nov 12 11:04:37 ALEXAN kernel:  [<c045a862>] get_page_from_freelist+0x23d/0x2a7
Nov 12 11:04:37 ALEXAN kernel:  [<c05cb874>] wireless_process_ioctl+0x57/0x328
Nov 12 11:04:37 ALEXAN kernel:  [<f8922582>] ieee80211_ioctl_giwfreq+0x0/0x78 [wlan]
Nov 12 11:04:37 ALEXAN kernel:  [<f8922582>] ieee80211_ioctl_giwfreq+0x0/0x78 [wlan]
Nov 12 11:04:37 ALEXAN kernel:  [<c05b7972>] sock_ioctl+0x0/0x1c1
Nov 12 11:04:37 ALEXAN kernel:  [<c05c26fa>] dev_ioctl+0x432/0x46b
Nov 12 11:04:37 ALEXAN kernel:  [<c0461ae5>] __handle_mm_fault+0x898/0x8ba
Nov 12 11:04:37 ALEXAN kernel:  [<c05b7f63>] sock_map_fd+0x41/0x4a
Nov 12 11:04:37 ALEXAN kernel:  [<c05b7972>] sock_ioctl+0x0/0x1c1
Nov 12 11:04:37 ALEXAN kernel:  [<c047c7bb>] do_ioctl+0x1f/0x62
Nov 12 11:04:37 ALEXAN kernel:  [<c044dae5>] audit_syscall_entry+0x111/0x143
Nov 12 11:04:37 ALEXAN kernel:  [<c047ca42>] vfs_ioctl+0x244/0x256
Nov 12 11:04:37 ALEXAN kernel:  [<c047caa0>] sys_ioctl+0x4c/0x64
Nov 12 11:04:37 ALEXAN kernel:  [<c0403f64>] syscall_call+0x7/0xb
Nov 12 11:04:37 ALEXAN kernel:  =======================
Nov 12 11:04:37 ALEXAN kernel: Code: b8 00 00 00 83 fa 04 75 26 83 b8 3c 02 00 00 08 74 21 8b 83 78 09 00 00 3d ff ff 00 00 75 1a c7 04 24 4b e2 92 f8 e8 c6 54 b0 c7 <0f> 0b eb fe 85 d2 74 0d 8b 83 74 09 00 00 0f b7 00 89 01 eb 13
Nov 12 11:04:37 ALEXAN kernel: EIP: [<f89225bf>] ieee80211_ioctl_giwfreq+0x3d/0x78 [wlan] SS:ESP 0068:f2197e6c
Nov 12 11:04:38 ALEXAN kernel:  <7>ath0: no IPv6 routers present

I have not tried refcount branch. How do I get that?

I see that if computer blocks, it does not write anything in the log file. Is the log method that I used correct?

I see this problem very frequent now, so I can provide more informations about it if needed.

11/13/07 15:27:45 changed by mentor

refcount has been merged to trunk, Try that.

11/15/07 14:13:11 changed by zam0d3gykus@yahoo.com

I upgraded madwifi driver to 0.9.3.3 but it happened again as described in my 11/13/07 comment. The computer has not blocked and the logs were written to the file:

Nov 15 14:06:01 ALEXAN kernel: bss channel not set<0>------------[ cut here ]------------
Nov 15 14:06:01 ALEXAN kernel: kernel BUG at /usr/local/src/madwifi-0.9.3.3/net80211/ieee80211_wireless.c:786!
Nov 15 14:06:01 ALEXAN kernel: invalid opcode: 0000 [#1]
Nov 15 14:06:01 ALEXAN kernel: SMP
Nov 15 14:06:01 ALEXAN kernel: last sysfs file: /class/net/ath40/address
Nov 15 14:06:01 ALEXAN kernel: Modules linked in: wlan_tkip(U) wlan_ccmp(U) nls_utf8 cifs 8021q autofs4 hidp rfcomm l2cap bluetooth sunrpc ipv6 dm_mirror dm_multipath dm_mod video sbs i2c_ec dock button battery asus_acpi backlight ac parport_pc lp parport iTCO_wdt iTCO_vendor_support r8169 pcspkr snd_intel8x0 snd_ac97_codec ac97_bus snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss 8139too snd_pcm 8139cp mii snd_timer snd i2c_i801 wlan_scan_sta(U) soundcore ath_rate_sample(U) ath_pci(U) snd_page_alloc i2c_core ide_cd wlan(U) ath_hal(P)(U) cdrom serio_raw ata_piix libata sd_mod scsi_mod ext3 jbd ehci_hcd ohci_hcd uhci_hcd
Nov 15 14:06:01 ALEXAN kernel: CPU:    0
Nov 15 14:06:01 ALEXAN kernel: EIP:    0060:[<f8922941>]    Tainted: P      VLI
Nov 15 14:06:01 ALEXAN kernel: EFLAGS: 00010292   (2.6.20-1.2962.fc6 #1)
Nov 15 14:06:01 ALEXAN kernel: EIP is at ieee80211_ioctl_giwfreq+0x3d/0x78 [wlan]
Nov 15 14:06:01 ALEXAN kernel: eax: 00000016   ebx: f700a400   ecx: c0701090   edx: 00000086
Nov 15 14:06:01 ALEXAN kernel: esi: ffffffa1   edi: 00008b05   ebp: c063789c   esp: f5cf2e6c
Nov 15 14:06:01 ALEXAN kernel: ds: 007b   es: 007b   ss: 0068
Nov 15 14:06:01 ALEXAN kernel: Process iwconfig (pid: 4786, ti=f5cf2000 task=ed619370 task.ti=f5cf2000)
Nov 15 14:06:01 ALEXAN kernel: Stack: f892e814 f5cf2f40 c05cb392 00000000 00008b05 f1c8a000 c1724bb0 c045a862
Nov 15 14:06:01 ALEXAN kernel:        00000002 00000044 edb7d000 00000002 00000000 f5cf2f18 f5cf2f19 f5cf2f18
Nov 15 14:06:01 ALEXAN kernel:        ffffffff 00000246 00000105 c19ee1e8 00008b05 00000000 f5cf2f30 00008b05
Nov 15 14:06:01 ALEXAN kernel: Call Trace:
Nov 15 14:06:01 ALEXAN kernel:  [<c05cb392>] ioctl_standard_call+0x60/0x2ea
Nov 15 14:06:01 ALEXAN kernel:  [<c045a862>] get_page_from_freelist+0x23d/0x2a7
Nov 15 14:06:01 ALEXAN kernel:  [<c05cb874>] wireless_process_ioctl+0x57/0x328
Nov 15 14:06:01 ALEXAN kernel:  [<f8922904>] ieee80211_ioctl_giwfreq+0x0/0x78 [wlan]
Nov 15 14:06:01 ALEXAN kernel:  [<f8922904>] ieee80211_ioctl_giwfreq+0x0/0x78 [wlan]
Nov 15 14:06:01 ALEXAN kernel:  [<c05b7972>] sock_ioctl+0x0/0x1c1
Nov 15 14:06:01 ALEXAN kernel:  [<c05c26fa>] dev_ioctl+0x432/0x46b
Nov 15 14:06:01 ALEXAN kernel:  [<c0461ae5>] __handle_mm_fault+0x898/0x8ba
Nov 15 14:06:01 ALEXAN kernel:  [<c05b7f63>] sock_map_fd+0x41/0x4a
Nov 15 14:06:01 ALEXAN kernel:  [<c05b7972>] sock_ioctl+0x0/0x1c1
Nov 15 14:06:01 ALEXAN kernel:  [<c047c7bb>] do_ioctl+0x1f/0x62
Nov 15 14:06:01 ALEXAN kernel:  [<c044dae5>] audit_syscall_entry+0x111/0x143
Nov 15 14:06:01 ALEXAN kernel:  [<c047ca42>] vfs_ioctl+0x244/0x256
Nov 15 14:06:01 ALEXAN kernel:  [<c047caa0>] sys_ioctl+0x4c/0x64
Nov 15 14:06:01 ALEXAN kernel:  [<c0403f64>] syscall_call+0x7/0xb
Nov 15 14:06:01 ALEXAN kernel:  =======================
Nov 15 14:06:02 ALEXAN kernel: Code: b8 00 00 00 83 fa 04 75 26 83 b8 3c 02 00 00 08 74 21 8b 83 7c 09 00 00 3d ff ff 00 00 75 1a c7 04 24 14 e8 92 f8 e8 44 51 b0 c7 <0f> 0b eb fe 85 d2 74 0d 8b 83 78 09 00 00 0f b7 00 89 01 eb 13
Nov 15 14:06:02 ALEXAN kernel: EIP: [<f8922941>] ieee80211_ioctl_giwfreq+0x3d/0x78 [wlan] SS:ESP 0068:f5cf2e6c

11/15/07 15:16:06 changed by mentor

0.9.3.3 is not trunk. UserDocs/GettingMadwifi.

11/16/07 17:21:01 changed by anonymous

I have installed madwifi svn r2852, but I can not use this version. So far, there are two reasons that are preventing me from doing so:

1) after connecting the card to the wireless network, if starting the dhclient, the wireless card will get disconected from the network, and the supplicant will start authentication again; the interface can not be configured with dhclient; if IP configured statically, the interface has full network connectivity

2) wireshark can not display correctly the packets sent/received on this interface; it will show them as unknown packets.

In the short interval that I used the cards with this driver, I did not see the crash. What should I do next ?

11/16/07 17:23:16 changed by zam0d3gykus@yahoo.com

I have installed madwifi svn r2852, but I can not use this version. So far, there are two reasons that are preventing me from doing so:

1) after connecting the card to the wireless network, if starting the dhclient, the wireless card will get disconected from the network, and the supplicant will start authentication again; the interface can not be configured with dhclient; if IP configured statically, the interface has full network connectivity

2) wireshark can not display correctly the packets sent/received on this interface; it will show them as unknown packets.

In the short interval that I used the cards with this driver, I did not see the crash. What should I do next ?